﻿
<%@ WebHandler Language="C#" Class="IDCSystem_Net_Modules_Payment_ECCommodity" %>

using System;
using ECCommodity;
using System.Configuration;
using System.Web;

public class IDCSystem_Net_Modules_Payment_ECCommodity : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        //1.0自定义IDCSystem平台所在的域名，为空时使用当前站点域名
        ECCommodityHelper.IdcSystemDomain = "";

        ECCommodityHelper.IdcSystemDomain = string.IsNullOrEmpty(ECCommodityHelper.IdcSystemDomain) ? context.Request.Url.Host : ECCommodityHelper.IdcSystemDomain;


        //2.0自定义加密密钥，跟系统后台支付方式设置的密钥相同，为空时调用系统web.config密码
        ECCommodityHelper.EncryptionKey = "";

        ECCommodityHelper.EncryptionKey = string.IsNullOrEmpty(ECCommodityHelper.EncryptionKey) ? ConfigurationManager.AppSettings["enKey"] : ECCommodityHelper.EncryptionKey;

        // Response.Write(ConfigurationManager.AppSettings["enKey"]);
        //3.0开始进入程序集
        ECCommodityHelper.Action();
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}