﻿<%@ WebHandler Language="C#" Class="ClientServiceindex" %>

using System;
using System.Web;
using ClientCGServer;
using System.Configuration;

public class ClientServiceindex : IHttpHandler
{
    
    public void ProcessRequest (HttpContext context) {
        ClientService clientService = new ClientService();
        //1.0自定义IDCSystem平台所在的域名，为空时使用当前站点域名
        clientService.IdcSystemDomain = "";
        clientService.IdcSystemDomain = string.IsNullOrEmpty(clientService.IdcSystemDomain) ? HttpContext.Current.Request.Url.Host : clientService.IdcSystemDomain;

        //2.0自定义加密密钥，跟系统后台支付方式设置的密钥相同，为空时调用系统web.config密码  
        clientService.EncryptionKey = "";
        clientService.EncryptionKey = string.IsNullOrEmpty(clientService.EncryptionKey) ? ConfigurationManager.AppSettings["enKey"] : clientService.EncryptionKey;

        //3.0开始进入程序集
        clientService.Action();
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}