﻿<%@ WebHandler Language="C#" Class="ClientSSLindex" %>

using System;
using System.Web;
using ClientSSL;
using System.Configuration;

public class ClientSSLindex : IHttpHandler
{
    
    public void ProcessRequest (HttpContext context) {
        ClientSSLHelper ClientSSL = new ClientSSLHelper();
        //1.0自定义IDCSystem平台所在的域名，为空时使用当前站点域名
        ClientSSL.IdcSystemDomain = "";
        ClientSSL.IdcSystemDomain = string.IsNullOrEmpty(ClientSSL.IdcSystemDomain) ? HttpContext.Current.Request.Url.Host : ClientSSL.IdcSystemDomain;

        //2.0自定义加密密钥，跟系统后台支付方式设置的密钥相同，为空时调用系统web.config密码  
        ClientSSL.EncryptionKey = "";
        ClientSSL.EncryptionKey = string.IsNullOrEmpty(ClientSSL.EncryptionKey) ? ConfigurationManager.AppSettings["enKey"] : ClientSSL.EncryptionKey;

        //3.0开始进入程序集
        ClientSSL.Action();
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}