﻿<%@ WebHandler Language="C#" Class="DNSPodindex" %>

using System;
using System.Configuration;
using DNSPod;
using System.Web;

public class DNSPodindex : IHttpHandler
{
    
    public void ProcessRequest (HttpContext context) {
       
        DNSPodRunTime dnspod = new DNSPodRunTime();
        //1.0自定义IDCSystem平台所在的域名，为空时使用当前站点域名
        dnspod.IdcSystemDomain = "";
        dnspod.IdcSystemDomain = string.IsNullOrEmpty(dnspod.IdcSystemDomain) ? HttpContext.Current.Request.Url.Host : dnspod.IdcSystemDomain;

        //2.0自定义加密密钥，跟系统后台支付方式设置的密钥相同，为空时调用系统web.config密码  
        dnspod.EncryptionKey = "";
        dnspod.EncryptionKey = string.IsNullOrEmpty(dnspod.EncryptionKey) ? ConfigurationManager.AppSettings["enKey"] : dnspod.EncryptionKey;

        //3.0开始进入程序集
        dnspod.Action(); 
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}