﻿/// <reference path="jquery-vsdoc.js" />
/// <reference path="jquery-ui.min.js" />
function getErrDiv(errmsg) { 
return '<div class="ui-state-highlight ui-corner-all" style="padding: 10px;margin-top:168px;text-align:center;"><strong>' + errmsg + '</strong></div>';
}
function orderConfig() {
    var discount = parseFloat(productData[0].discount);
    var vpstype = productData[0].pconfig.vpstype;

    $.post("?c=module&productid=" + productData[0].pid + "&show=text&caction=checkplan&vtype=" + vpstype + "&t=" + new Date(), function (data) {
        var vdata = data.split('|');
        if (vdata[0] == "-1") {
            $("#OrderConfig").html(getErrDiv(vdata[1]));
            return;
        } else {
            var str = '<p><br/><strong>帐户信息</strong>：帐户余额：<strong>' + userData[0].balance + '</strong> ' + userData[0].currency;
            if (discount < 1) str += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>帐户优惠</strong>：<strong style="color:#0000FF">' + (discount * 100 / 10) + '</strong>折';
            str += '</p><p style="margin-top:10px;"><strong>产品名称</strong>：<strong>『' + productData[0].pname + '』</strong></p><p  style="margin-top:10px;"><strong>产品描述</strong>：' +HTMLDecode(productData[0].pdes) + '<input type="hidden" name="nodename" id="nodename" value="' + data + '"/></p>' +
                '<p  style="margin-top:10px;"><strong>产品配置</strong>：<br/>CPU：' + productData[0].pconfig.cpu + '核<br/>内存：' + productData[0].pconfig.ram + 'M<br/>硬盘：' + productData[0].pconfig.disk + 'G<br/>流量：' + productData[0].pconfig.bandwidth + 'G<br/>端口：' + (productData[0].pconfig.port == '0' ? "不限" : productData[0].pconfig.port + "M") + '<br/>IP地址数：' + productData[0].pconfig.ips + '个</p>' +
                   '<input type="hidden" name="os" id="os" value="0"/>' +
                    '<p><br/><br/> <strong>主机别名</strong>：<input type="text" name="myvname" id="myvname" value="MyVps"/>　<strong>VPS操作系统</strong>：<button  id="vpsos" type="button"><span class="ui-button-text">选择操作系统</span></button></p><p><br/><br/>';
            timeCycle = productData[0].psconfig.time_cycle == undefined ? '0' : productData[0].psconfig.time_cycle;
            var pcycles = productData[0].pprice.cycle.split(',');
            var pcprice = productData[0].pprice.cprice.split(',');
            var pp1 = 0, pp2 = 0;
            switch (productData[0].pprice.pmothod) {
                case "1":
                    str += '<strong>付款周期</strong>：';
                    for (i = 0; i < pcycles.length; i++) {
                        if (pcprice[i] != '0') {
                            if (pp1 == 0) pp1 = parseFloat(pcprice[i]) / parseInt(pcycles[i]);
                            else {
                                pp2 = (parseFloat(pcprice[i]) / parseInt(pcycles[i]) / pp1 * 10).toFixed(1);
                            }
                            str += '<input type="radio" name="baseprice" value="' + pcycles[i] + '_' + pcprice[i] + '_1" id="pcy' + pcycles[i] + '" /><label for="pcy' + pcycles[i] + '">' + getTimeCycleSuffix(pcycles[i], timeCycle, 0) + (pp2 != 0 ? '(' + pp2 + '折)' : '') + '</label>　';
                        }
                    }
                    break;
                case "2":
                    str += '<strong>一次性付款</strong>：<input type="radio" name="baseprice" value="1_' + productData[0].pprice.onetime + '_2"/>起始价:' + productData[0].pprice.onetime + '元';
                    break;
                case "3":
                    str += '<strong>免费试用</strong>：<input type="radio" name="baseprice" value="0_' + productData[0].pprice.free + '_3"/>试用' + productData[0].pprice.free + '天';
                    break;
            }
            str += '</p>';
            $("#OrderConfig").html(str);
            $('<div style="float:left;padding:15px 0px 0px 15px;"><strong>总价格：</strong><strong id="normalPrice" style="color:#0000FF;"></strong><span id="finalPrice"></span></div>').insertBefore(".ui-dialog-buttonset");

            $("#vpsos").css("color", "#000000").css("margin-right", "18px").button();
            $("#couponcode,#myvname").removeAttr("readonly").css("border", "1px solid #B8B8B8").css("background", "#FFFFFF");
            $("#myvname").css("width", "138px");


            $(".ui-dialog-buttonset button:first").click(function () {
                if ($("#os").val() == "0") {
                    $("#suwin").dialog("close");
                    alert("请选择VPS要安装的操作系统！");
                    return;
                }
            });
            $("#vpsos").click(function () {
                $("#suwin").html(ajaxLoading("正在加载系统模板，请稍候......"));
                $("#suwin").dialog({ title: "系统模板", autoOpen: false, resizable: false, width: 380, height: 350, modal: true, buttons: { "关 闭": function () { $(this).dialog("close"); } } }).dialog("open");
                $.post("?c=module&productid=" + productData[0].pid + "&show=text&caction=listos&vtype=" + vpstype + "&t=" + new Date(), function (data) {
                    var arros = data.split('|');
                    if (arros[0] == '-1') {
                        $("#suwin").html("<div style='text-align:center;color:red;'>" + arros[1] + "</div>");
                        return;
                    } else {
                        var vOS = "<div id='divos'>";
                        for (var i = 0, len = arros.length; i < len; i++) {
                            vOS += '<p><input type="radio" name="rados" id="rados' + i + '" value="' + arros[i] + '"/><label for="rados' + i + '">' + arros[i] + '</label></p>';
                        }
                        vOS += "</div>";
                        $("#suwin").html(vOS);
                        $("input[name=rados][value='" + $("#os").val() + "']").attr("checked", "checked");

                        $("input[name=rados]").click(function () {
                            $("#vpsos span").html($(this).val());
                            $("#os").val($(this).val());
                            $("#suwin").dialog("close");
                        });
                    }

                });
            });
            $("#OrderConfig input[name='baseprice']").click(function () {
                var pps = $(this).val().split('_');
                billingCycle = parseInt(pps[0]);
                normalPrice = parseFloat(pps[1]);
                finalPrice = normalPrice * discount;
                if (normalPrice > finalPrice) {
                    $("#normalPrice").html('<strike>' + normalPrice.toFixed(2) + '</strike>');
                    $("#finalPrice").html('<strong style="margin-left:18px">帐户优惠价(' + (discount * 100 / 10) + '折)：</strong><strong style="color:#0000FF;">' + finalPrice.toFixed(2) + '</strong> ' + userData[0].currency);
                }
                else $("#normalPrice").html(finalPrice.toFixed(2) + ' ' + userData[0].currency);

            });
            $("#OrderConfig input[name='baseprice']:first").click();
            billingMothod = productData[0].pprice.pmothod;

        }
    });


}
function HTMLDecode(text) {
    var temp = document.createElement("div");
    temp.innerHTML = text;
    var output = temp.innerText || temp.textContent;
    temp = null;
    return output;
}
function getTimeCycleSuffix(billingCycle, timeCycle, tag) {
    var cycleSuffix = '';
    if (billingCycle == 0) {
        switch (timeCycle) {
            case '1': cycleSuffix = '天'; break;
            case '2': cycleSuffix = '小时'; break;
            default:
                cycleSuffix = '月';
                if (tag == 1) cycleSuffix = '个月';
                break;
        }
    }
    else {
        if (timeCycle == '0') {
            switch (billingCycle) {
                case '1': cycleSuffix = '月'; break;
                case '3': cycleSuffix = '季'; break;
                case '6': cycleSuffix = '半年'; break;
                case '12': cycleSuffix = '年'; break;
                case '24': cycleSuffix = '2年'; break;
                default: cycleSuffix = billingCycle + '个月'; break;
            }
        }
        else if (timeCycle == '1') {
            switch (billingCycle) {
                case '1': cycleSuffix = '天'; break;
                case '7': cycleSuffix = '周'; break;
                case '15': cycleSuffix = '半月'; break;
                case '30': cycleSuffix = '月'; break;
                case '90': cycleSuffix = '季'; break;
                case '365': cycleSuffix = '年'; break;
                default: cycleSuffix = billingCycle + '天'; break;
            }
        }
        else {
            switch (billingCycle) {
                case '1': cycleSuffix = '小时'; break;
                case '24': cycleSuffix = '天'; break;
                case '168': cycleSuffix = '周'; break;
                default: cycleSuffix = billingCycle + '小时'; break;
            }
        }
    }
    return cycleSuffix;
}
orderConfig();
