﻿/// <reference path="jquery-vsdoc.js" />
/// <reference path="jquery-ui.min.js" />
var timeCycle = productData[0].psconfig.time_cycle == undefined ? '0' : productData[0].psconfig.time_cycle;
function _view() {
    var vstatus = serviceData[0].sstatus;
    if (vstatus == '-2') {
        $("#ViewService").html("<span style='color:green;font-size:14px;'>您开通虚拟主机的方式为人工手动开通，请联系管理员尽快为您开通虚拟主机服务！</span>");
        return;
    }
    var renewdata = getUnixTime(parseInt(serviceData[0].etime));
    renewdata = renewdata.substring(0, renewdata.indexOf(' '));
    var title = '管理我的虚拟主机#' + serviceData[0].sid + '';
    document.title = title;
    $("#pageTitle").html(title);
    var statusText = serviceStatus[parseInt(vstatus) + 2];

    switch (vstatus) {
        case "-1": statusText = '<strong style="color:#0000FF;">' + statusText + '</strong>'; break;
        case "0": statusText = '<strong style="color:#005B00;">' + statusText + '</strong>'; break;
        case "3": statusText = '<strong style="color:#CC3300;">' + statusText + '</strong>'; break;
        case "1":
        case "2":
        case "4": statusText = '<strong style="color:#FF0000;">' + statusText + '</strong>'; break;
    }

    var str = '<table id="tbhostinfo" width="100%" border="0" cellspacing="0" cellpadding="0" class="table grid"><thead><tr><th style="text-align: right;width:150px;">虚拟主机基本信息：</th><th class="full">&nbsp;</th></tr></thead><tbody>';
    if (userData[0].isAdmin == "True") {
        str += '<tr><td class="title" style="text-align: right; ">所属用户：</td><td><a href="?c=muser&uid=' + userData[0].uid + '" target="_blank">' + userData[0].uname + ' [#' + userData[0].uid + ']</a></td></tr>';
    }
    str += '<tr id="trusername"><td class="title" style="text-align: right; ">用户名：</td><td id="tdusername">p' + serviceData[0].ssid + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' +
      '<tr id="trpwd"><td class="title" style="text-align: right; ">初始密码：</td><td id="tdpwd"><span id="spanpwd" style="margin-right:31px;">' + serviceData[0].sconfig.pwd + '</span></td></tr>';
    //    if (serviceData[0].sconfig.bandwidth != "-1") {
    //        str += '<tr id="trlogin"><td class="title" style="text-align: right;">流量：</td><td id="tdbw"><div style="height:18px;width: 218px;float:left" id="bwload" class="ui-progressbar ui-widget ui-widget-content ui-corner-all" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="ui-progressbar-value ui-widget-header ui-corner-left" style="display: none; width: 30%; "></div></div>&nbsp;&nbsp;&nbsp已使用0 M，剩余' + serviceData[0].sconfig.bandwidth + ' M</td></tr>';
    //    } else {
    //        str += '<tr id="trlogin"><td class="title" style="text-align: right;">流量：</td><td id="tdbw">已使用0 M，无限流量</td></tr>';
    //    }
    str += '<tr><td class="title" style="text-align: right; ">域名：</td><td id="tddomain"><a target="_blank" href="http://' + serviceData[0].sconfig.domain + '">' + serviceData[0].sconfig.domain + '</a></td></tr>';
    if (serviceData[0].sconfig.disk != "-1") {
        str += '<tr ><td class="title" style="text-align: right;">磁盘大小(M)：</td><td id="tddisk"><div style="height:18px;width: 218px;float:left;margin-top:6px;" id="diskload" class="ui-progressbar ui-widget ui-widget-content ui-corner-all" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="ui-progressbar-value ui-widget-header ui-corner-left" style="display: none; width: 30%; "></div></div>&nbsp;&nbsp;&nbsp已使用0 M，剩余' + serviceData[0].sconfig.disk + ' M</td></tr>';
    } else {
        str += '<tr ><td class="title" style="text-align: right;">磁盘大小(M)：</td><td id="tddisk">已使用0 M，无限磁盘空间</td></tr>';
    }
    str += '<tr><td class="title" style="text-align: right; ">流量(M)：</td><td id="tdbandwidth">' + (serviceData[0].sconfig.bandwidth == '-1' ? '不限' : serviceData[0].sconfig.bandwidth) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">子域名配额（个）：</td><td id="tdsubdomains">' + (serviceData[0].sconfig.subdomains == '-1' ? '不限' : serviceData[0].sconfig.subdomains) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">域名停放数量（个）：</td><td id="tdparkeddomains">' + (serviceData[0].sconfig.parkeddomains == '-1' ? '不限' : serviceData[0].sconfig.parkeddomains) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">插件域数量（个）：</td><td id="tdaddondomains">' + (serviceData[0].sconfig.addondomains == '-1' ? '不限' : serviceData[0].sconfig.addondomains) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">Ftp帐户（个）：</td><td id="tdftp">' + (serviceData[0].sconfig.ftps == '-1' ? '不限' : serviceData[0].sconfig.ftps) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">Email帐户（个）：</td><td id="tdemail">' + (serviceData[0].sconfig.emails == '-1' ? '不限' : serviceData[0].sconfig.emails) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">邮件列表数量（个）：</td><td id="tdemaillist">' + (serviceData[0].sconfig.emaillist == '-1' ? '不限' : serviceData[0].sconfig.emaillist) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">数据库数量（个）：</td><td id="tddatabase">' + (serviceData[0].sconfig.database == '-1' ? '不限' : serviceData[0].sconfig.database) + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">SSL 访问：</td><td id="tdssl">' + (serviceData[0].sconfig.shell == '0' ? '不支持' : '支持') + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">CGI 访问：</td><td id="tdcgi">' + (serviceData[0].sconfig.cgi == '0' ? '不支持' : '支持') + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">Frontpage 外部扩展：</td><td id="tdfrontpage">' + (serviceData[0].sconfig.frontpage == '0' ? '不支持' : '支持') + '</td></tr>' +
    '<tr><td class="title" style="text-align: right; ">专用IP：</td><td id="tddedicatedIP">' + (serviceData[0].sconfig.dedicatedIP == '0' ? '否' : '是') + '</td></tr>' +
     '<tr><td class="title" style="text-align: right; ">续费价格：</td><td><b>' + serviceData[0].sprice + ' ' + userData[0].currency + '</b> / ' + getTimeCycleSuffix(serviceData[0].spcycle, timeCycle, 1) + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;帐户余额： ' + parseFloat(userData[0].balance).toFixed(2) + ' ' + userData[0].currency + '</td></tr>' +
     '<tr><td class="title" style="text-align: right; ">到期时间：</td><td>' + renewdata + '&nbsp;&nbsp;&nbsp;<input id="autorenew" type="checkbox" ' + (serviceData[0].autorenew == '0' ? 'checked="checked"' : '') + '/><label for="autorenew">自动续费</label>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:void(0);"  onclick="_renew()">『马上续费』</a></td></tr>' +
     '<tr><td class="title" style="text-align: right; ">服务状态：</td><td>' + statusText + '</td></tr>';

    // '<tr><td class="title" style="text-align: right; ">提示：</td><td style="color:green">如果用户已开通多台主机服务，用户在WebsitePanel管理面板的登录密码是用户最近一次修改后的登录密码</td></tr>' +
    //  '<tr><td class="title" style="text-align: right; ">管理操作：</td><td id="tdVpsOperat"><input type="button" class="submit" value="启动"  onclick="ControlPackage(' + packid + ',1,\'启动\')"/>　　<input name="shutdown" type="button" class="submit" value="停止" onclick="ControlPackage(' + packid + ',3,\'停止\')"/></td></tr>' +
    '</tbody></table>';
    // '<table><thead><tr><th style="text-align: right;">虚拟主机其它信息：</th><th class="full">&nbsp;</th></tr></thead><tbody>' +
    // '<tr><td class="title" style="text-align: right; ">提示：</td><td style="color:green">如果用户已开通多台主机服务，用户在WebsitePanel管理面板的登录密码是用户最近一次修改后的登录密码</td></tr></tbody></table>';
    if (vstatus == "-1") {
        $("#ViewService").html(str);
        $(".title").width("180px");
        $("#ViewService input[type=button]").hide();
        setTimeout('top.location.reload();', 10000);
    } else {
    $.post("?c=module&serviceid=" + serviceData[0].sid + "&show=text&caction=getaccount&user=p" + serviceData[0].ssid + "&pack=" + serviceData[0].sconfig.packname + "&t=" + new Date(), function (data) {
        var vArr = data.split('|');
        if (vArr[0] == "-1") {
            $("#ViewService").html('<div class="ui-state-highlight ui-corner-all" style="padding: 10px;margin:10px;text-align:center;"><strong>' + vArr[1] + '</strong></div>');
            return;
        }
        $("#ViewService").html(str);
        $(".title").width("170px");
        var vuser = $.parseJSON(vArr[1]);
        var vfrm = '<tr><td class="title" style="text-align: right; ">快捷登录：</td><td>' +
        '<form action="' + vArr[4] + '/login/" target="_blank" method="post" id="login_form">' +
        '<input type="hidden" value="p' + serviceData[0].ssid + '" name="user" id="user">' +
         '<input type="hidden" value="' + serviceData[0].sconfig.pwd + '" name="pass" id="pass">' +
        '<input name="ctl02$ctl01$ctl00$btnLogin" id="ctl02_ctl01_ctl00_btnLogin" type="submit" class="submit" value="登录cPanel管理面板"/></form></td></tr>';

        $(vfrm).insertAfter("#trpwd");

        $('<tr><td class="title" style="text-align: right; ">服务器IP：</td><td id="tdserverip">' + vuser.ip + '</td></tr>').insertBefore("#trusername");

        $("#tdpwd").append('<input id="btnSendPwd" type="button" class="submit" value="修改密码">');
        $("#btnSendPwd").click(function () {
            showPwdWin();
        });
        $("#tdbandwidth").html((vArr[5] == 'null' ? '不限' : vArr[5]));
        $("#tdsubdomains").html((vuser.maxsub == 'unlimited' ? '不限' : vuser.maxsub).replace('*unknown*', '0'));
        $("#tdparkeddomains").html((vuser.maxparked == 'unlimited' ? '不限' : vuser.maxparked).replace('*unknown*', '0'));
        $("#tdaddondomains").html((vuser.maxaddons == 'unlimited' ? '不限' : vuser.maxaddons).replace('*unknown*', '0'));
        $("#tdftp").html((vuser.maxftp == 'unlimited' ? '不限' : vuser.maxftp).replace('*unknown*', '0'));
        $("#tdemail").html((vuser.maxpop == 'unlimited' ? '不限' : vuser.maxpop).replace('*unknown*', '0'));
        $("#tdemaillist").html((vuser.maxlst == 'unlimited' ? '不限' : vuser.maxlst).replace('*unknown*', '0'));
        $("#tddatabase").html((vuser.maxsql == 'unlimited' ? '不限' : vuser.maxsql).replace('*unknown*', '0'));

        // var bwUsed = parseFloat(vpack.bandwidthUsed), bwAll = parseFloat(vpack.bandwidth);
        var diskUsed = vuser.diskused, diskAll = vuser.disklimit;
        //            if (bwAll != -1) {
        //                bwUsed = 100 * bwUsed / bwAll;
        //                $("#tdbw").html('<div style="height:18px;width: 218px;float:left" id="bwload" class="ui-progressbar ui-widget ui-widget-content ui-corner-all" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="ui-progressbar-value ui-widget-header ui-corner-left" style="display: none; width: 30%; "></div></div>&nbsp;&nbsp;&nbsp已使用' + bwUsed.toFixed(2) + ' M，剩余' + (bwAll - bwUsed).toFixed(2) + ' M');
        //                $("#bwload").progressbar({
        //                    value: bwUsed
        //                });
        //            } else {
        //                $("#tdbw").html('已使用' + bwUsed + ' M，无限流量');
        //            }
        if (diskAll != 'unlimited') {
            diskUsed = parseFloat(diskUsed.replace('M', ''));
            diskAll = parseFloat(diskAll.replace('M', ''));
            var vdiskUsed = diskUsed;
            diskUsed = 100 * diskUsed / diskAll;

            $("#tddisk").html('<div style="height:18px;width: 218px;float:left;margin-top:6px;" id="diskload" class="ui-progressbar ui-widget ui-widget-content ui-corner-all" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="ui-progressbar-value ui-widget-header ui-corner-left" style="display: none; width: 30%; "></div></div>&nbsp;&nbsp;&nbsp已使用' + vuser.diskused + ' ，剩余' + (diskAll - vdiskUsed).toFixed(2) + ' M');
            $("#diskload").progressbar({
                value: diskUsed
            });
        } else {
            $("#tddisk").html('已使用' + diskUsed + ' ，无限磁盘空间');
        }
        $("#ViewService #autorenew").css("cursor", "pointer").click(function () {
            var autorenew = $(this).prop("checked") ? '0' : '1';
            setAutorenew(serviceData[0].sid, autorenew);
        });
    });
    }
}

var pwdTime = 180;
var vcodetip = "";

function showPwdWin() {
    processing("正在加载信息，请稍等...");
    $.post("?c=module&serviceid=" + serviceData[0].sid + "&show=text&caction=getchk&t=" + new Date(), function (data) {
        $("#processing").dialog("close");
        var arr = data.split('|');
        ToShowPwdWin(arr[0], arr[1]);
    });
}

function ToShowPwdWin(emailchk, smschk) {
    if (serviceData[0].ssid == "0") {
        alert("当前状态不允许修改密码操作，请稍候重试！");
        return;
    }
    var height = 280;
    var str = "";
    if (userData[0].isAdmin != "True" && (emailchk != "0" || smschk != "0")) {
        height = 400;
        str = '<p style="margin:10px 0px;">请选择验证方式：';
        if (smschk != "0") {
            str += '<input type="radio" name="radpcheck" id="smspcheck" checked="checked" value="1"/><label for="smspcheck">短信验证</label>&nbsp;&nbsp;';
        }
        if (emailchk != "0") {
            str += '<input type="radio" name="radpcheck" id="emailpcheck" value="2"/><label for="emailpcheck">邮箱验证</label>';
        }
        if (pwdTime == 180) {
            str += '&nbsp;&nbsp;<input  type="button" class="submit" id="btnSendpChkCode" value="发送验证码"/></p>';
        } else {
            str += '&nbsp;&nbsp;<input  type="button" disabled="disabled" class="submit" style="color:gray;cursor:default" id="btnSendpChkCode" value="还剩' + pwdTime + '秒"/></p>';
        }
    }
    str += '<p style="margin:10px 0px;padding-left:3px;">新 密 码：<input type="password" id="txtpwd" class="text"/>&nbsp;&nbsp;<span style="color:green;">(由字母、数字组成的6-16位字符)</span></p>' +
    '<p>确认密码：<input type="password" id="txtrepwd" class="text"/></p>';
    if (userData[0].isAdmin != "True" && (emailchk != "0" || smschk != "0")) {
        str += '<p style="margin-top:10px;padding-left:4px;">验 证 码：<input type="text" id="txtpchkCode" class="text"/></p>';
    }
    str += '<p><span id="chkptip" style="margin-top:10px;color:green;">' + vcodetip + '</span></p>';
    $("#suwin").html(str);
    if (vcodetip.indexOf('@') > -1) {
        $("#emailpcheck").attr("checked", "checked");
    } else {
        $("input[name=radpcheck]:first").attr("checked", "checked");
    }

    $("#btnSendpChkCode").click(function () {
        $("#btnSendpChkCode").attr("disabled", "disabled").attr("value", "还剩" + pwdTime + "秒").css({ "color": "gray", "cursor": "default" });
        var myTimer = setInterval(function () {
            if (pwdTime > 1) {
                pwdTime -= 1;
                $("#btnSendpChkCode").attr("value", "还剩" + pwdTime + "秒");
            }
            else {
                clearInterval(myTimer);
                pwdTime = 180;
                $("#btnSendpChkCode").removeAttr("disabled").css({ "color": "white", "cursor": "pointer" }).val('发送验证码');
            }
        }, 1000);

        $("#chkptip").html("<br/>正在发送验证码，请稍等......").css("color", "green");
        var chk = $("input[name=radpcheck]:checked").val();
        if (chk == "1") {
            $.post("?c=module&serviceid=" + serviceData[0].sid + "&show=text&action=send_sms&t=" + new Date(), function (data) {
                if (data == "0") {
                    vcodetip = "<br/>验证码已发送到您的手机[<span style='color:red'>" + userData[0].tel + "</span>]，请查收！";
                    $("#chkptip").html(vcodetip).css("color", "green");
                } else {
                    $("#chkptip").html('<br/>' + data).css("color", "red");
                }
            });
        } else {
            $.post("?c=module&serviceid=" + serviceData[0].sid + "&show=text&action=send_email&t=" + new Date(), function (data) {
                if (data == "0") {
                    vcodetip = "<br/>验证码已发送到您的邮箱[<span style='color:red'>" + userData[0].umail + "</span>]，请查收！";
                    $("#chkptip").html(vcodetip).css("color", "green");
                } else {
                    $("#chkptip").html('<br/>' + data).css("color", "red");
                }
            });
        }
    });
    $("#suwin").dialog({ title: "修改密码", autoOpen: false, resizable: false, width: 488, height: height, modal: false, buttons: {
        "修改密码": function () {
            var pwd = $("#txtpwd").val();
            var repwd = $("#txtrepwd").val();
            var pcode = '';
            var exp = /^(([a-z]+[0-9]+)|([0-9]+[a-z]+))[a-z0-9]*$/i;
            if (pwd.length < 6 || pwd.length > 16 || (!exp.test(pwd))) {
                $("#chkptip").html("<br/>密码由字母、数字组成的6-16位字符，且必须包含至少1位数字！").css("color", "red");
                $("#txtpwd").val('').focus();
                return;
            } else if (repwd != pwd) {
                $("#chkptip").html("<br/>确认密码与新密码不一致！").css("color", "red");
                $("#txtrepwd").val('').focus();
                return;
            } else if (userData[0].isAdmin != "True" && (emailchk != "0" || smschk != "0")) {
                pcode = $("#txtpchkCode").val();
                if (pcode.length <= 0) {
                    $("#chkptip").html("<br/>请输入验证码！").css("color", "red");
                    $("#txtpchkCode").val('').focus();
                    return;
                }
            }

            $("#chkptip").html(ajaxLoading("正在执行操作，请稍等......")).css("color", "green");
            $("#suwin input").attr("disabled", "disabled");
            $(".ui-dialog-buttonset button:first").attr("disabled", "disabled");
            $.post("?c=module&serviceid=" + serviceData[0].sid + "&show=text&caction=changepwd&pwd=" + pwd + "&repwd=" + repwd + "&code=" + pcode + "&t=" + new Date(), function (data) {
                if (data == "0") {
                    showTipWin('密码修改成功！');
                } else {
                    $("#chkptip").html('<br/>' + data).css("color", "red");
                    $(".ui-dialog-buttonset button:first").removeAttr("disabled");
                    $("#suwin input").removeAttr("disabled");
                }
            });

        },
        "关 闭": function () { $(this).dialog("close"); }
    }
    }).dialog("open");
}

function showTipWin(tip) {
    $("#suwin").dialog({ title: "操作提示", autoOpen: false, resizable: false, width: 350, height: 200, modal: false, buttons: { "关 闭": function () { $(this).dialog("close"); } } }).dialog("open");
    $("#suwin").html('<div style="margin-top:30px;text-align:center;font-weight:bold">' + tip + '</div>');
    setTimeout('top.location.reload();', 3000);
}

_view();

var finalPrice = 0;
var normalPrice = 0;
var productID = productData[0].pid;
var billingMothod = 1;
var billingCycle = 1;
function _renew() {
    if (serviceData[0].spmothod != "1") {
        alert("您当前服务无需续费！");
        return false;
    }
    if (serviceData[0].sstatus == "-1") {
        alert("当前状态不允许续费操作，请稍候重试！");
        return;
    }
    var discount = parseFloat(productData[0].discount);

    var str = '<div style="line-height:25px"><strong>帐户余额</strong>：<strong>' + parseFloat(userData[0].balance).toFixed(2) + '</strong> ' + userData[0].currency;
    if (discount < 1) str += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>帐户优惠</strong>：<strong style="color:#0000FF">' + (discount * 100 / 10) + '</strong>折';
    str += '&nbsp;<br /><strong>请选择续费周期</strong>：<br />';
    var cycles = productData[0].pprice.cycle.split(',');
    var cprices = productData[0].pprice.cprice.split(',');
    var cprice = 0, yprice = 0, pp1 = 0, pp2 = 0;
    for (i = 0; i < cycles.length; i++) {
        if (cprices[i] != '0') {
            cprice = parseFloat(cprices[i]);
            yprice = cprice;
            if (cycles[i] == serviceData[0].spcycle) cprice = serviceData[0].sprice;

            if (pp1 == 0) pp1 = parseFloat(yprice) / parseInt(cycles[i]);
            else {
                pp2 = (parseFloat(yprice) / parseInt(cycles[i]) / pp1 * 10).toFixed(1);
            }
            str += '<input type="radio" name="cycle" value="' + cycles[i] + '_' + cprice + '_' + yprice + '" id="cycle' + cycles[i] + '" /><label for="cycle' + cycles[i] + '">';
//            switch (cycles[i]) {
//                case "1": str += '月　付'; break;
//                case "3": str += '季　付'; break;
//                case "6": str += '半年付'; break;
//                case "12": str += '年　付'; break;
//                case "24": str += '二年付'; break;
//                default: str += cycles[i] + '个月付'; break;
//            }
//           
//            if (cycles[i] == serviceData[0].spcycle) str += '：' + parseFloat(cprice).toFixed(2) + (pp2 != 0 ? ' (' + pp2 + '折)' : '') + '</label><br />';
//            else
//                str += '：' + (discount > 1 ? (parseFloat(cprice) * discount).toFixed(2) : parseFloat(cprice).toFixed(2)) + (pp2 != 0 ? ' (' + pp2 + '折)' : '') + '</label><br />';
            str += parseFloat(cprice).toFixed(2) + ' / ' + getTimeCycleSuffix(cycles[i], timeCycle, 1) + ((pp2 > 0 && pp2 < 10) ? ' (' + pp2 + '折)' : '') + '</label><br />';

        }
    }
    str += '&nbsp;<br /><strong>续费价格</strong>：<strong class="finalPrice"></strong> ' + userData[0].currency + '&nbsp;&nbsp;&nbsp;<span class="normalPrice"></span><br />&nbsp;<br />' +
           '<span>优 惠 码：<input type="text" id="couponcode" size="10" class="text"/> <input type="button" class="submit" value="使用" onclick="applyCode(\'renew\')"/> <input type="button" class="submit" value="不使用" onclick="clearCouponCode(1)"/></span><br />' +
           '<span id="ccdes" class="pptext"></span></div>';
    $("#suwin").html(str);
    $("#suwin input:radio").click(function () {
        clearCouponCode(1);
        var ps = $(this).val().split('_');
        billingCycle = parseInt(ps[0]);
        finalPrice = parseFloat(ps[1]);
        normalPrice = parseFloat(ps[2]);
        if (billingCycle != parseInt(serviceData[0].spcycle)) finalPrice = finalPrice * discount;
        $("#suwin .finalPrice").html(finalPrice.toFixed(2));

    });
    $("#suwin #cycle" + serviceData[0].spcycle).click();
    $("#suwin").dialog({ title: "续费确认", autoOpen: false, resizable: false, width: 500, height: 410, modal: false, buttons: { "确认续费": function () { renew(serviceData[0].sid, billingCycle, $("#couponcode").val()); }, "关 闭": function () { $(this).dialog("close"); } } }).dialog("open");
}

function getTimeCycleSuffix(billingCycle, timeCycle, tag) {
    var cycleSuffix = '';
    if (billingCycle == 0) {
        switch (timeCycle) {
            case '1': cycleSuffix = '天'; break;
            case '2': cycleSuffix = '小时'; break;
            default:
                cycleSuffix = '月';
                if (tag == 1) cycleSuffix = '个月';
                break;
        }
    }
    else {
        if (timeCycle == '0') {
            switch (billingCycle) {
                case '1': cycleSuffix = '月'; break;
                case '3': cycleSuffix = '季'; break;
                case '6': cycleSuffix = '半年'; break;
                case '12': cycleSuffix = '年'; break;
                case '24': cycleSuffix = '2年'; break;
                default: cycleSuffix = billingCycle + '个月'; break;
            }
        }
        else if (timeCycle == '1') {
            switch (billingCycle) {
                case '1': cycleSuffix = '天'; break;
                case '7': cycleSuffix = '周'; break;
                case '15': cycleSuffix = '半月'; break;
                case '30': cycleSuffix = '月'; break;
                case '90': cycleSuffix = '季'; break;
                case '365': cycleSuffix = '年'; break;
                default: cycleSuffix = billingCycle + '天'; break;
            }
        }
        else {
            switch (billingCycle) {
                case '1': cycleSuffix = '小时'; break;
                case '24': cycleSuffix = '天'; break;
                case '168': cycleSuffix = '周'; break;
                default: cycleSuffix = billingCycle + '小时'; break;
            }
        }
    }
    return cycleSuffix;
}